      SUBROUTINE PLOTT(Y,NDFAST,DT,NN,XSJ0,NDVA,NST,LINT,LINW,LINA,
     *                 NDLINE,NTOTAL,NCOUNT,NUMS,NUMT,JJ,
     *                 NOVRW,NRET)

      DIMENSION Y(NDFAST),LINT(NDLINE),LINW(NDLINE),LINA(NDLINE),
     *          NDVA(3),NST(2),NY2(3,2)
      CHARACTER LBLY2(3,2)*10

      COMMON /SPEC/ XSI,XEI,YSI,YEI,IXSPN,IXUT1,IXUT2,
     *              IYSPN,IYUT1,IYUT2,IFPX,IFPY,IGRID,MAPNG
     *       /TIME/ XSJ,XEJ,YSJ,YEJ,JXSPN,JXUT1,JXUT2,JYSPN,JYUT1,
     *              JYUT2,JFPX,JFPY,NXOFF,NYOFF,NXSAB,NYSAB,N0AXIS
     *       /STYLE/ NSTYLE,IXR,IYR,JXR,JYR,NSX,NSTY

      DATA LBLY2 /'(m)','(m/sec)','(m/sec^2)',
     *            '(cm)','(cm/sec)','(cm/sec^2)'/
     *     NY2   / 3, 7, 9, 4, 8, 10 /  

C     **********  INITIALIZATION  **********

      IGN  = IGN0 + 1

      IF(IGN.GT.16) THEN
        NRET = 1
        RETURN
      END IF

      IF(NSTYLE.EQ.1) THEN
        JXS  = (IXSPN+IXR)*NUMS+(JXSPN+JXR)*NUMT
        IF(NOVRW.EQ.0) THEN
          JYS  = (JYSPN+JYR)*(NTOTAL-NCOUNT-1)
        ELSE
          JYS = 0
        END IF
      ELSE
        IF(NOVRW.EQ.0) THEN
          JXS  = (IXSPN+IXR)*NST(1)*(NCOUNT+1)
     *          +(JXSPN+JXR)*NST(2)*NCOUNT
        ELSE
          JXS  = (IXSPN*IXR)*NST(1)
        END IF
          JYS  = (JYSPN+JYR)*(NDVA(1)+NDVA(2)+NDVA(3)-JJ)
      END IF

      IF(NOVRW.EQ.1) THEN
        NSEQ = MOD(NCOUNT+NDLINE,NDLINE)+1
        CALL LLATR(LINT(NSEQ),LINW(NSEQ),LINA(NSEQ))
      END IF

      IF((NOVRW.EQ.1).AND.(NCOUNT.GE.1)) GO TO 100

C     **********  PLOT X SCALE  **********

      IF(NXOFF.EQ.-1000) GO TO 40

      IF(NXSAB.EQ.1) THEN
        NYYY = JYS+NXOFF
      ELSE
        NYYY = NXOFF
      END IF

      CALL LRWIND(IGN,JXS,NYYY,JXSPN,0,0)
      CALL LWINDW(IGN,XSJ,YSJ,XEJ,YEJ)
      CALL LAXSXL(IGN,1,JXUT1,JXUT2,JFPX)
      CALL LAXLBL(IGN,'time (sec)',10,' ',1,' ',1)

C     **********  PLOT Y SCALE  **********

   40 IF(NYOFF.EQ.-1000) GO TO 50
      IF((NYSAB.EQ.2).AND.(NCOUNT.NE.0)) GO TO 50

      IF(NYSAB.EQ.1) NXXX = JXS+NYOFF
      IF(NYSAB.EQ.2) NXXX = JXS
      IF(NYSAB.EQ.3) NXXX = NYOFF

      CALL LRWIND(IGN,NXXX,JYS,JXSPN,JYSPN,0)
      CALL LWINDW(IGN,XSJ,YSJ,XEJ,YEJ)
      CALL LAXSYL(IGN,1,JYUT1,JYUT2,JFPY)
      CALL LAXLBL(IGN,' ',1,' ',1,LBLY2(JJ,NSTY),
     *            NY2(JJ,NSTY))

C     **********  PLOT 0 AXIS  **********

   50 IF(N0AXIS.EQ.1) CALL LLINE2(IGN,0.,0.,XEJ,0.)

C     **********  PLOT DATA  **********

  100 CALL LRWIND(IGN,JXS,JYS,JXSPN,JYSPN,0)
      CALL LWINDW(IGN,XSJ,YSJ,XEJ,YEJ)

      CALL LPLOTY(IGN,Y,NN,XSJ0,DT,1,1,1)

      RETURN
      END 
